# azure.mgmt.cognitiveservices.operations module

class `azure.mgmt.cognitiveservices.operations.``CognitiveServicesAccountsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  CognitiveServicesAccountsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `create`(resource_group_name, account_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create Cognitive Services Account. Accounts is a resource group wide resource type. It holds the keys for developer to access intelligent APIs. It’s also the resource type for billing.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the user’s subscription.
    - account_name (str) – The name of the cognitive services account within the specified resource group. Cognitive Services account names must be between 3 and 24 characters in length and use numbers and lower-case letters only.
    - parameters (`CognitiveServicesAccountCreateParameters`) – The parameters to provide for the created account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `CognitiveServicesAccount`
    Return type: | `ClientRawResponse` if raw=true

  `delete`(resource_group_name, account_name, custom_headers=None, raw=False, **operation_config)

    Deletes a Cognitive Services account from the resource group. .

    Parameters:

    - resource_group_name (str) – The name of the resource group within the user’s subscription.
    - account_name (str) – The name of the cognitive services account within the specified resource group. Cognitive Services account names must be between 3 and 24 characters in length and use numbers and lower-case letters only.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | None
    Return type: | `ClientRawResponse` if raw=true

  `get_properties`(resource_group_name, account_name, custom_headers=None, raw=False, **operation_config)

    Returns a Cognitive Services account specified by the parameters.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the user’s subscription.
    - account_name (str) – The name of the cognitive services account within the specified resource group. Cognitive Services account names must be between 3 and 24 characters in length and use numbers and lower-case letters only.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `CognitiveServicesAccount`
    Return type: | `ClientRawResponse` if raw=true

  `list`(custom_headers=None, raw=False, **operation_config)

    Returns all the resources of a particular type belonging to a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `CognitiveServicesAccountPaged`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Returns all the resources of a particular type belonging to a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the user’s subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `CognitiveServicesAccountPaged`

  `list_keys`(resource_group_name, account_name, custom_headers=None, raw=False, **operation_config)

    Lists the account keys for the specified Cognitive Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the user’s subscription.
    - account_name (str) – The name of the cognitive services account within the specified resource group. Congitive Services account names must be between 3 and 24 characters in length and use numbers and lower-case letters only.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `CognitiveServicesAccountKeys`
    Return type: | `ClientRawResponse` if raw=true

  `list_skus`(resource_group_name, account_name, custom_headers=None, raw=False, **operation_config)

    List available SKUs for the requested Cognitive Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the user’s subscription.
    - account_name (str) – The name of the cognitive services account within the specified resource group. Cognitive Services account names must be between 3 and 24 characters in length and use numbers and lower-case letters only.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `CognitiveServicesAccountEnumerateSkusResult`
    Return type: | `ClientRawResponse` if raw=true

  `regenerate_key`(resource_group_name, account_name, key_name=None, custom_headers=None, raw=False, **operation_config)

    Regenerates the specified account key for the specified Cognitive Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the user’s subscription.
    - account_name (str) – The name of the cognitive services account within the specified resource group. Cognitive Services account names must be between 3 and 24 characters in length and use numbers and lower-case letters only.
    - key_name (str or `KeyName`) – key name to generate (Key1|Key2). Possible values include: ‘Key1’, ‘Key2’
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `CognitiveServicesAccountKeys`
    Return type: | `ClientRawResponse` if raw=true

  `update`(resource_group_name, account_name, sku=None, tags=None, custom_headers=None, raw=False, **operation_config)

    Updates a Cognitive Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the user’s subscription.
    - account_name (str) – The name of the cognitive services account within the specified resource group. Cognitive Services account names must be between 3 and 24 characters in length and use numbers and lower-case letters only.
    - sku (`Sku`) –
    - tags (dict) – Gets or sets a list of key value pairs that describe the resource. These tags can be used in viewing and grouping this resource (across resource groups). A maximum of 15 tags can be provided for a resource. Each tag must have a key no greater than 128 characters and value no greater than 256 characters.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `CognitiveServicesAccount`
    Return type: | `ClientRawResponse` if raw=true